#include <stdio.h>

int N, M, R;

// pakailah long long untuk menghindari overflow
long long balance(long long monthly){
	long long P = N, i;
	for (i=0; i<M; i++){
		// ingat, Interest Payment dibulatkan keatas
		long long I = (R * P + 99) / 100;
		P -= monthly - I;
	}
	return P;
}

int main(){
	while (scanf("%d %d %d",&N,&M,&R)!=EOF){
		int lo = 0, hi = 3*N, res; // jawaban tidak mungkin lebih besar dari 3*N
		// ini algoritma binary search
		while (lo<=hi){
			int med = (lo+hi)/2;
			if (balance(med) <= 0){
				res = med; // jawaban ditemukan saat nilai balance == 0 atau negative sedikit
				hi = med-1;
			} else {
				lo = med+1;
			}
		}
		printf("%d\n",res);
	}
}
